package com.prolog.cs.biz.inbound.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * @Description
 * @Date 2021-04-11
 */

@ApiModel
public class OmsAsnBillHVO implements Serializable {
	/** ASN单表ID **/
	@ApiModelProperty(value = "ASN单表ID")
	private String billid;

	/** ASN单号 **/
	@ApiModelProperty(value = "ASN单号")
	private String billno;

	/** ASN单类型 **/
	@ApiModelProperty(value = "ASN单类型")
	private String billtype;

	/** ASN单来源单据类型 **/
	@ApiModelProperty(value = "ASN单来源单据类型")
	private String refBilltype;

	/** 来源单据ID **/
	@ApiModelProperty(value = "来源单据ID")
	private String refBillid;

	/** 来源单据号 **/
	@ApiModelProperty(value = "来源单据号")
	private String refBillno;

	/** 发货单位类型 **/
	@ApiModelProperty(value = "发货单位类型")
	private String shipperType;

	/** 发货单位ID **/
	@ApiModelProperty(value = "发货单位ID")
	private String shipperid;

	/** 发货单位名称 **/
	@ApiModelProperty(value = "发货单位名称")
	private String shippername;

	/** 发货单位国编号 **/
	@ApiModelProperty(value = "发货单位国编号")
	private String shipmentCountryNo;

	/** 发货单位国 **/
	@ApiModelProperty(value = "发货单位国")
	private String shipmentCountryName;

	/** 发货单位省编号 **/
	@ApiModelProperty(value = "发货单位省编号")
	private String shipmentProvinceNo;

	/** 发货单位省 **/
	@ApiModelProperty(value = "发货单位省")
	private String shipmentProvinceName;

	/** 发货单位市编号 **/
	@ApiModelProperty(value = "发货单位市编号")
	private String shipmentCityNo;

	/** 发货单位市 **/
	@ApiModelProperty(value = "发货单位市")
	private String shipmentCityName;

	/** 发货单位区/县编号 **/
	@ApiModelProperty(value = "发货单位区/县编号")
	private String shipmentDistrictNo;

	/** 发货单位区/县 **/
	@ApiModelProperty(value = "发货单位区/县")
	private String shipmentDistrictName;

	/** 发货单位街道/乡镇编号 **/
	@ApiModelProperty(value = "发货单位街道/乡镇编号")
	private String shipmentTownNo;

	/** 发货单位街道/乡镇 **/
	@ApiModelProperty(value = "发货单位街道/乡镇")
	private String shipmentTownName;

	/** 发货单位社区/村编号 **/
	@ApiModelProperty(value = "发货单位社区/村编号")
	private String shipmentCommunityNo;

	/** 发货单位社区/村 **/
	@ApiModelProperty(value = "发货单位社区/村")
	private String shipmentCommunityName;

	/** 发货单位详细地址 **/
	@ApiModelProperty(value = "发货单位详细地址")
	private String shipmentAddress;

	/** 货主ID **/
	@ApiModelProperty(value = "货主ID")
	private String consignorid;

	/** 货主名称 **/
	@ApiModelProperty(value = "货主名称")
	private String consignorname;

	/** 货主单据号 **/
	@ApiModelProperty(value = "货主单据号")
	private String consignorBillno;

	/** 入库仓库ID **/
	@ApiModelProperty(value = "入库仓库ID")
	private String branchid;

	/** 入库仓库编号 **/
	@ApiModelProperty(value = "入库仓库编号")
	private String branchcode;

	/** 入库仓库名称 **/
	@ApiModelProperty(value = "入库仓库名称")
	private String branchname;

	/** 入库仓库库区ID **/
	@ApiModelProperty(value = "入库仓库库区ID")
	private String branchareaid;

	/** 入库仓库库区 **/
	@ApiModelProperty(value = "入库仓库库区")
	private String brancharea;

	/** 入库仓库详细地址 **/
	@ApiModelProperty(value = "入库仓库详细地址")
	private String branchAddress;

	/** 商品类别ID **/
	@ApiModelProperty(value = "商品类别ID")
	private String categoryId;

	/** 运输条件 **/
	@ApiModelProperty(value = "运输条件")
	private String shipTerm;

	/** 到货方式 **/
	@ApiModelProperty(value = "到货方式")
	private String arrivalMode;

	/** 订单紧急等级 **/
	@ApiModelProperty(value = "订单紧急等级")
	private String priorityLevel;

	/** 送货人联系方式 **/
	@ApiModelProperty(value = "送货人联系方式")
	private String delivererContactTel;

	/** 运输路线ID **/
	@ApiModelProperty(value = "运输路线ID")
	private String shipLineId;

	/** 承运商ID **/
	@ApiModelProperty(value = "承运商ID")
	private String carrierId;

	/** 承运商名称 **/
	@ApiModelProperty(value = "承运商名称")
	private String carrierName;

	/** 采购员名称 **/
	@ApiModelProperty(value = "采购员名称")
	private String buyerName;

	/** 采购员联系电话 **/
	@ApiModelProperty(value = "采购员联系电话")
	private String buyerTel;

	/** 状态 **/
	@ApiModelProperty(value = "状态")
	private String status;

	/** 制单日期 **/
	@ApiModelProperty(value = "制单日期")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date billDate;

	/** 预定到货日 **/
	@ApiModelProperty(value = "预定到货日")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date attainDate;

	/** 审核状态 **/
	@ApiModelProperty(value = "审核状态")
	private String examineState;

	/** 总件数 **/
	@ApiModelProperty(value = "总件数")
	private BigDecimal totPcs;

	/** 总数量 **/
	@ApiModelProperty(value = "总数量")
	private BigDecimal totQty;

	/** 总重量 **/
	@ApiModelProperty(value = "总重量")
	private BigDecimal totWeight;

	/** 总体积 **/
	@ApiModelProperty(value = "总体积")
	private BigDecimal totVolume;

	/** 总未税金额 **/
	@ApiModelProperty(value = "总未税金额")
	private BigDecimal totnetamt;

	/** 总含税金额 **/
	@ApiModelProperty(value = "总含税金额")
	private BigDecimal totamt;

	/** 作废原因 **/
	@ApiModelProperty(value = "作废原因")
	private String closedReason;

	/** 退货原因 **/
	@ApiModelProperty(value = "退货原因")
	private String rtReason;

	/** 备注 **/
	@ApiModelProperty(value = "备注")
	private String remark;

	/** 录入员 **/
	@ApiModelProperty(value = "录入员")
	private String createby;

	/** 录入时间 **/
	@ApiModelProperty(value = "录入时间")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date createdate;

	/** 修改人 **/
	@ApiModelProperty(value = "修改人")
	private String lastmodifyby;

	/** 修改时间 **/
	@ApiModelProperty(value = "修改时间")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date lastmodifydate;

	/** 企业ID **/
	@ApiModelProperty(value = "企业ID")
	private String pEnterpriseid;

	/** 企业名称 **/
	@ApiModelProperty(value = "企业名称")
	private String pEnterprisename;

	/** 发货单位编号(根据类型来) **/
	@ApiModelProperty(value = "发货单位编号(根据类型来)")
	private String shippercode;

	// TODO
	// 未收总数量
	@ApiModelProperty(value = "(新)未收商品总数", position = 1)
	private BigDecimal notRcvItemPieceCount;

	@ApiModelProperty(value = "订单截止日期")
	private Date expirationdate;

	public String getBillid() {
		return billid;
	}

	public void setBillid(String billid) {
		this.billid = billid;
	}

	public String getBillno() {
		return billno;
	}

	public void setBillno(String billno) {
		this.billno = billno;
	}

	public String getBilltype() {
		return billtype;
	}

	public void setBilltype(String billtype) {
		this.billtype = billtype;
	}

	public String getRefBilltype() {
		return refBilltype;
	}

	public void setRefBilltype(String refBilltype) {
		this.refBilltype = refBilltype;
	}

	public String getRefBillid() {
		return refBillid;
	}

	public void setRefBillid(String refBillid) {
		this.refBillid = refBillid;
	}

	public String getRefBillno() {
		return refBillno;
	}

	public void setRefBillno(String refBillno) {
		this.refBillno = refBillno;
	}

	public String getShipperType() {
		return shipperType;
	}

	public void setShipperType(String shipperType) {
		this.shipperType = shipperType;
	}

	public String getShipperid() {
		return shipperid;
	}

	public void setShipperid(String shipperid) {
		this.shipperid = shipperid;
	}

	public String getShippername() {
		return shippername;
	}

	public void setShippername(String shippername) {
		this.shippername = shippername;
	}

	public String getShipmentCountryNo() {
		return shipmentCountryNo;
	}

	public void setShipmentCountryNo(String shipmentCountryNo) {
		this.shipmentCountryNo = shipmentCountryNo;
	}

	public String getShipmentCountryName() {
		return shipmentCountryName;
	}

	public void setShipmentCountryName(String shipmentCountryName) {
		this.shipmentCountryName = shipmentCountryName;
	}

	public String getShipmentProvinceNo() {
		return shipmentProvinceNo;
	}

	public void setShipmentProvinceNo(String shipmentProvinceNo) {
		this.shipmentProvinceNo = shipmentProvinceNo;
	}

	public String getShipmentProvinceName() {
		return shipmentProvinceName;
	}

	public void setShipmentProvinceName(String shipmentProvinceName) {
		this.shipmentProvinceName = shipmentProvinceName;
	}

	public String getShipmentCityNo() {
		return shipmentCityNo;
	}

	public void setShipmentCityNo(String shipmentCityNo) {
		this.shipmentCityNo = shipmentCityNo;
	}

	public String getShipmentCityName() {
		return shipmentCityName;
	}

	public void setShipmentCityName(String shipmentCityName) {
		this.shipmentCityName = shipmentCityName;
	}

	public String getShipmentDistrictNo() {
		return shipmentDistrictNo;
	}

	public void setShipmentDistrictNo(String shipmentDistrictNo) {
		this.shipmentDistrictNo = shipmentDistrictNo;
	}

	public String getShipmentDistrictName() {
		return shipmentDistrictName;
	}

	public void setShipmentDistrictName(String shipmentDistrictName) {
		this.shipmentDistrictName = shipmentDistrictName;
	}

	public String getShipmentTownNo() {
		return shipmentTownNo;
	}

	public void setShipmentTownNo(String shipmentTownNo) {
		this.shipmentTownNo = shipmentTownNo;
	}

	public String getShipmentTownName() {
		return shipmentTownName;
	}

	public void setShipmentTownName(String shipmentTownName) {
		this.shipmentTownName = shipmentTownName;
	}

	public String getShipmentCommunityNo() {
		return shipmentCommunityNo;
	}

	public void setShipmentCommunityNo(String shipmentCommunityNo) {
		this.shipmentCommunityNo = shipmentCommunityNo;
	}

	public String getShipmentCommunityName() {
		return shipmentCommunityName;
	}

	public void setShipmentCommunityName(String shipmentCommunityName) {
		this.shipmentCommunityName = shipmentCommunityName;
	}

	public String getShipmentAddress() {
		return shipmentAddress;
	}

	public void setShipmentAddress(String shipmentAddress) {
		this.shipmentAddress = shipmentAddress;
	}

	public String getConsignorid() {
		return consignorid;
	}

	public void setConsignorid(String consignorid) {
		this.consignorid = consignorid;
	}

	public String getConsignorname() {
		return consignorname;
	}

	public void setConsignorname(String consignorname) {
		this.consignorname = consignorname;
	}

	public String getConsignorBillno() {
		return consignorBillno;
	}

	public void setConsignorBillno(String consignorBillno) {
		this.consignorBillno = consignorBillno;
	}

	public String getBranchid() {
		return branchid;
	}

	public void setBranchid(String branchid) {
		this.branchid = branchid;
	}

	public String getBranchcode() {
		return branchcode;
	}

	public void setBranchcode(String branchcode) {
		this.branchcode = branchcode;
	}

	public String getBranchname() {
		return branchname;
	}

	public void setBranchname(String branchname) {
		this.branchname = branchname;
	}

	public String getBranchareaid() {
		return branchareaid;
	}

	public void setBranchareaid(String branchareaid) {
		this.branchareaid = branchareaid;
	}

	public String getBrancharea() {
		return brancharea;
	}

	public void setBrancharea(String brancharea) {
		this.brancharea = brancharea;
	}

	public String getBranchAddress() {
		return branchAddress;
	}

	public void setBranchAddress(String branchAddress) {
		this.branchAddress = branchAddress;
	}

	public String getCategoryId() {
		return categoryId;
	}

	public void setCategoryId(String categoryId) {
		this.categoryId = categoryId;
	}

	public String getShipTerm() {
		return shipTerm;
	}

	public void setShipTerm(String shipTerm) {
		this.shipTerm = shipTerm;
	}

	public String getArrivalMode() {
		return arrivalMode;
	}

	public void setArrivalMode(String arrivalMode) {
		this.arrivalMode = arrivalMode;
	}

	public String getPriorityLevel() {
		return priorityLevel;
	}

	public void setPriorityLevel(String priorityLevel) {
		this.priorityLevel = priorityLevel;
	}

	public String getDelivererContactTel() {
		return delivererContactTel;
	}

	public void setDelivererContactTel(String delivererContactTel) {
		this.delivererContactTel = delivererContactTel;
	}

	public String getShipLineId() {
		return shipLineId;
	}

	public void setShipLineId(String shipLineId) {
		this.shipLineId = shipLineId;
	}

	public String getCarrierId() {
		return carrierId;
	}

	public void setCarrierId(String carrierId) {
		this.carrierId = carrierId;
	}

	public String getCarrierName() {
		return carrierName;
	}

	public void setCarrierName(String carrierName) {
		this.carrierName = carrierName;
	}

	public String getBuyerName() {
		return buyerName;
	}

	public void setBuyerName(String buyerName) {
		this.buyerName = buyerName;
	}

	public String getBuyerTel() {
		return buyerTel;
	}

	public void setBuyerTel(String buyerTel) {
		this.buyerTel = buyerTel;
	}

	public String getStatus() {
		return status;
	}

	public void setStatus(String status) {
		this.status = status;
	}

	public Date getBillDate() {
		return billDate;
	}

	public void setBillDate(Date billDate) {
		this.billDate = billDate;
	}

	public Date getAttainDate() {
		return attainDate;
	}

	public void setAttainDate(Date attainDate) {
		this.attainDate = attainDate;
	}

	public String getExamineState() {
		return examineState;
	}

	public void setExamineState(String examineState) {
		this.examineState = examineState;
	}

	public BigDecimal getTotPcs() {
		return totPcs;
	}

	public void setTotPcs(BigDecimal totPcs) {
		this.totPcs = totPcs;
	}

	public BigDecimal getTotQty() {
		return totQty;
	}

	public void setTotQty(BigDecimal totQty) {
		this.totQty = totQty;
	}

	public BigDecimal getTotWeight() {
		return totWeight;
	}

	public void setTotWeight(BigDecimal totWeight) {
		this.totWeight = totWeight;
	}

	public BigDecimal getTotVolume() {
		return totVolume;
	}

	public void setTotVolume(BigDecimal totVolume) {
		this.totVolume = totVolume;
	}

	public BigDecimal getTotnetamt() {
		return totnetamt;
	}

	public void setTotnetamt(BigDecimal totnetamt) {
		this.totnetamt = totnetamt;
	}

	public BigDecimal getTotamt() {
		return totamt;
	}

	public void setTotamt(BigDecimal totamt) {
		this.totamt = totamt;
	}

	public String getClosedReason() {
		return closedReason;
	}

	public void setClosedReason(String closedReason) {
		this.closedReason = closedReason;
	}

	public String getRtReason() {
		return rtReason;
	}

	public void setRtReason(String rtReason) {
		this.rtReason = rtReason;
	}

	public String getRemark() {
		return remark;
	}

	public void setRemark(String remark) {
		this.remark = remark;
	}

	public String getCreateby() {
		return createby;
	}

	public void setCreateby(String createby) {
		this.createby = createby;
	}

	public Date getCreatedate() {
		return createdate;
	}

	public void setCreatedate(Date createdate) {
		this.createdate = createdate;
	}

	public String getLastmodifyby() {
		return lastmodifyby;
	}

	public void setLastmodifyby(String lastmodifyby) {
		this.lastmodifyby = lastmodifyby;
	}

	public Date getLastmodifydate() {
		return lastmodifydate;
	}

	public void setLastmodifydate(Date lastmodifydate) {
		this.lastmodifydate = lastmodifydate;
	}

	public String getpEnterpriseid() {
		return pEnterpriseid;
	}

	public void setpEnterpriseid(String pEnterpriseid) {
		this.pEnterpriseid = pEnterpriseid;
	}

	public String getpEnterprisename() {
		return pEnterprisename;
	}

	public void setpEnterprisename(String pEnterprisename) {
		this.pEnterprisename = pEnterprisename;
	}

	public String getShippercode() {
		return shippercode;
	}

	public void setShippercode(String shippercode) {
		this.shippercode = shippercode;
	}

	public BigDecimal getNotRcvItemPieceCount() {
		return notRcvItemPieceCount;
	}

	public void setNotRcvItemPieceCount(BigDecimal notRcvItemPieceCount) {
		this.notRcvItemPieceCount = notRcvItemPieceCount;
	}

	public Date getExpirationdate() {
		return expirationdate;
	}

	public void setExpirationdate(Date expirationdate) {
		this.expirationdate = expirationdate;
	}
}
